# $Revision: 1.12 $, $Date: 2005/10/14 19:34:49 $
#
# TODO:
# - package emacs and LyX files
#
%define	short_name	beamer
%define	texhash		[ ! -x %{_bindir}/texhash ] || %{_bindir}/texhash 1>&2 ;
#
Summary:	A LaTeX class for producing beamer presentations
Summary(pl):	Klasa LaTeXa do tworzenia prezentacji rzutnikowych
Name:		tetex-latex-beamer
Version:	3.05
Release:	1
License:	GPL
Group:		Applications/Publishing/TeX
Source0:	http://dl.sourceforge.net/latex-beamer/latex-beamer-%{version}.tar.gz
# Source0-md5:	0524000157e657a2006f74f67ef7ae28
Requires:	tetex-latex
Requires:	tetex-latex-xcolor >= 2.00
Requires:	tetex-pgf >= 0.95
Requires(post,postun):	/usr/bin/texhash
URL:		http://latex-beamer.sf.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A LaTeX class for producing beamer presentations.

%description -l pl
Klasa LaTeXa do tworzenia prezentacji rzutnikowych.

%package examples
Summary:	Example presentations created using the LaTeX Beamer class
Summary(pl):	Przykadowe prezentacje stworzone z wykorzystaniem klasy LaTeX Beamer
Group:		Applications/Publishing/TeX
Requires:	%{name} = %{version}-%{release}

%description examples
Example presentations created using the LaTeX Beamer class.

%description examples -l pl
Przykadowe prezentacje stworzone z wykorzystaniem klasy LaTeX Beamer.

%prep
%setup -q -n latex-%{short_name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/texmf/tex/latex/%{short_name},%{_examplesdir}/%{name}-%{version}}

cp -ar base emulation extensions themes $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/%{short_name}

cp -ar examples/* solutions $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%texhash

%postun
%texhash

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog doc/*.pdf README TODO
%{_datadir}/texmf/tex/latex/%{short_name}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tetex-latex-beamer.spec,v $
Revision 1.12  2005/10/14 19:34:49  kosmo
- reqires tetex-pgf >= 0.95

Revision 1.11  2005/10/14 17:31:47  kosmo
- updated to 3.05

Revision 1.10  2005/01/17 18:52:32  jpc
- fix files (only some files where packaged)
- add more examples
- rel 2

Revision 1.9  2005/01/04 23:55:28  ankry
- cleaning

Revision 1.8  2005/01/04 23:34:21  jpc
- updated to 3.01
- added examples subpackage

Revision 1.7  2004/10/24 15:47:45  darekr
- updated to 3.00
- more files in %doc

Revision 1.6  2004/05/31 11:36:40  cieciwa
- version 2.20,
- updated MD5 sum.

Revision 1.5  2004/04/22 12:53:57  cieciwa
- version 2.11,
- updated MD5 sum.

Revision 1.4  2004/04/07 12:14:53  cieciwa
- version 2.10,
- updated MD5 sum.

Revision 1.3  2004/03/08 12:10:54  malekith
- better and pl desc

Revision 1.2  2004/03/07 22:41:06  malekith
- oops; fix md5

Revision 1.1  2004/03/07 22:40:06  malekith
- first sketch

